Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Watson2011-10-03 14:10:14 -0400
committerThomas Watson2011-10-03 14:10:14 -0400
commitaff7083b3718271571f7c24843d023501b49d4ef (patch)
tree024d16eb633b5faee9dbc1372856f00d2b494f17
parente6902535403607f31ec1f84bba89e6ac05a19dfd (diff)
downloadrt.equinox.framework-aff7083b3718271571f7c24843d023501b49d4ef.tar.gz
rt.equinox.framework-aff7083b3718271571f7c24843d023501b49d4ef.tar.xz
rt.equinox.framework-aff7083b3718271571f7c24843d023501b49d4ef.zip
Bug 344833 - Enable 1.7 compiler compliance in JavaSE-1.7.profile
-rw-r--r--bundles/org.eclipse.osgi/JavaSE-1.7.profile8
1 files changed, 4 insertions, 4 deletions
diff --git a/bundles/org.eclipse.osgi/JavaSE-1.7.profile b/bundles/org.eclipse.osgi/JavaSE-1.7.profile
index 192b46e9f..92604f149 100644
--- a/bundles/org.eclipse.osgi/JavaSE-1.7.profile
+++ b/bundles/org.eclipse.osgi/JavaSE-1.7.profile
@@ -1,5 +1,5 @@
###############################################################################
-# Copyright (c) 2009, 2010 IBM Corporation and others.
+# Copyright (c) 2009, 2011 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
@@ -190,9 +190,9 @@ org.osgi.framework.executionenvironment = \
JavaSE-1.6,\
JavaSE-1.7
osgi.java.profile.name = JavaSE-1.7
-org.eclipse.jdt.core.compiler.compliance=1.6
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.source=1.7
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error

Back to the top